import { IconName } from "@/components/ui";

import { ROUTES } from "./client-routes";

export interface NavItem {
  key: string;
  label: string;
  icon: IconName;
  href: string;
  badgeId?: string;
}

export const navItems: NavItem[] = [
  {
    key: "home",
    label: "Home",
    icon: IconName.Home,
    href: ROUTES.home(),
  },
  {
    key: "chat",
    label: "Chat",
    icon: IconName.Chat,
    href: ROUTES.chat(),
    badgeId: "unreadCount",
  },
  {
    key: "advisers",
    label: "Advi...",
    icon: IconName.Clipboard,
    href: ROUTES.advisers(),
  },
  {
    key: "compatibility",
    label: "Comp...",
    icon: IconName.Heart,
    href: ROUTES.compatibility(),
  },
];
